RMMOD(8)

NAZWA
rmmod - usuwa załadowany moduł

SKŁADNIA
rmmod [ -aehrsvV ] moduł ...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

rmmod usuwa załadowany moduł z działającego jądra systemu.

rmmod próbuje usunąć zbiór modułów z jądra, pod warunkiem, że nie są one używane i nie odwołują się do nich inne moduły.

Jeśli w lini poleceń podano więcej niż jeden moduł, wymienione moduły będą usunięte w podanej kolejności. Pozwala to na usuwanie modułów powiązanych.

W razie podania opcji '-r' podjeta zostanie próba rekurencyjnego usunięcia modułów. Oznacza to, że jeśli w linii poleceń podany zostanie moduł znajdujący się na wierzchołku stosu, to zostaną również usunięte wszystkie moduły, z których korzysta dany moduł, o ile to będzie możliwe.

  OPCJE

-a --all
    Wykonuje autoczyszcenie: zaznacza nieużywane moduły jako "do usunięcia" i usuwa już zaznaczone moduły. Moduły zostają usunięte, jeśli nie zostały użyte od czasu poprzedniego autoczyszczenia. Te dwa przebiegi zapobiegają usunięciu modułów chwilowo nieużywanych.

-e --persist
    Zachowuje trwałe dane dla wymienionych modułów bez usuwania jakichkolwiek. Jeśli nie podano nazwy żadnego modułu, to dane są zachowywane dla wszystkich modułów zawierających trwałe dane. Są one zachowywane jedynie, gdy zarówno jądro, jak i modutils obsługują trwałe dane a /proc/ksyms zawiera wpis
    __insmod_nazwamodułu_Pnazwa_przechowalni

-h --help
    Wypisuje tekst pomocy.

-r --stacks
    Usuwa stos modułów.

-s --syslog
    Wyprowadza wszystko do syslog(3) zamiast na terminal.

-v --verbose
    Włącza wyświetlanie dużej ilości informacji.

-V --version
    Wypisuje wersję modutils.

TRWAŁE DANE
Jeśli moduł zawiera trwałe dane (zobacz insmod(8) i modules.conf(5)), to usunięcie modułu zawsze powoduje zapisanie tych danych do pliku o nazwie podanej w symbolu __insmod _P. Trwałe dane można również zachować w dowolnej chwili poprzez rmmod -e. Nie spowoduje to usunięcia żadnego modułu.

Gdy trwałe dane są zapisywane do pliku, są one poprzedzone wygenerowaną linią komentarza,
#% wersja_kernela czas
Wygenerowane linie komentarza zaczynają się od '#%', wszystkie wygenerowane komentarze są usuwane z istniejącego pliku, inne komentarze są zachowane. Wartości zachowywanych danych są zapisywane do pliku z zachowaniem istniejącej kolejności komentarzy i przypisań. Nowe wartości są dopisywane na końcu pliku. Jeśli plik zawiera wartości, które nie istnieją w module, to te wartości zostaną zachowane, ale będą poprzedzone wygenerowanym komentarzem ostrzegającym, że nie były używane. Ostatnia operacja pozwala użytkownikowi na przełaczanie pomiędzy kernelami bez utraty trwałych danych i bez otrzymywania komunikatów o błędach.

Uwaga: Wspierane są jedynie komentarze, dla których '#' jest pierwszym różnym od spacji znakiem linii. Wszystkie niepuste linie, które nie zaczynają sie od '#' stanowią opcje modułu, po jednej w linii. Z linii opcji usuwane są początkowe spacje, reszta linii jest przekazywana do programu insmod jako opcja, łącznie z wszelkimi znakami na końcu linii.

ZOBACZ TAKŻE
insmod(8), lsmod(8), ksyms(8), modprobe(8)

HISTORIA

Wsparcie dla modułów zostało zapoczątkowane przez Anonima
Pierwsza wersja Linuksowa przygotowana przez Basa Laarhovena <bas@vimec.nl>
Wersja 0.99.14 przygotowana przez Jona Tombsa <jon@gtex02.us.es>
Rozbudowana przez Bjorna Ekwalla <bj0rn@blox.se>
Aktualizowna do 2.1.17 przez Richarda Hendersona <rth@tamu.edu>
Aktualizowna do 2.2.2 przez Bjorna Ekwalla <bj0rn@blox.se>
Aktualizowna do modutils 2.3.20 przez Keitha Owensa <kaos@ocs.com.au>
Trwałe dane dla modułów 2.3.22 przez Keitha Owensa <kaos@ocs.com.au>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 rmmod

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.